<template>
  <router-link
    class="w-full lg:w-full flex items-center rounded-large shadow-lg p-4 card-name"
    to="/profile/account"
  >
    <div
      class="bg-white rounded-full h-12 w-12 flex items-center justify-center mr-4 text-lg font-semibold"
    >
      {{ initialName }}
    </div>
    <div class="text-left text-white font-avenir">
      <h2 class="font-semibold text-lg">{{ fullName }}</h2>
      <span class="text-base font-medium">{{ cabang }}</span>
    </div>
    <i class="icon-keyboard-arrow-right ml-auto text-white text-2xl"></i>
  </router-link>
</template>

<script>
import { mapGetters } from "vuex";

import { GET_FULL_NAME, GET_INITIAL, GET_JOB_PLACE } from "../store";

export default {
  computed: {
    ...mapGetters({
      cabang: GET_JOB_PLACE,
      fullName: GET_FULL_NAME,
      initialName: GET_INITIAL,
    }),
  },
};
</script>

<style lang="scss" scoped>
.card-name {
  background-color: #fe2a5c;
  color: #fe2a5c;
}
</style>
